Return process attachments for one readable board item using board read policy.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/process-attachments"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/process-attachments';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/boards/example/items/example/process-attachments \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Policy-aware process attachments list for one board item.
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "CreatePolicy": 0, "ReadPolicy": 0, "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Policy-aware process attachments list for one board item.
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "CreatePolicy": 0, "ReadPolicy": 0, "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Policy-aware process attachments list for one board item.
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "CreatePolicy": 0, "ReadPolicy": 0, "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Policy-aware process attachments list for one board item.
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "CreatePolicy": 0, "ReadPolicy": 0, "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}